Bug 147943 - [PATCH] Content-Type header might have an empty charset specification
Summary: [PATCH] Content-Type header might have an empty charset specification
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail
Classification: Applications
Component: mime (show other bugs)
Version: 1.9.6
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2007-07-17 07:04 UTC by Marcos Dione
Modified: 2009-08-17 19:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patches crash on empty charset specification (475 bytes, patch)
2007-07-17 07:07 UTC, Marcos Dione
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos Dione 2007-07-17 07:04:35 UTC
Version:           1.9.6 (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages0
OS:                Linux

I've invalid mails with an empty charset specification in the Content-Type header, like:

Content-Type: text/plain; charset=

kmail sigsegvs when reading them from a maildir mail box.
Comment 1 Marcos Dione 2007-07-17 07:07:03 UTC
Created attachment 21168 [details]
patches crash on empty charset specification

we tested this patch with the offending mails and works fine.
Comment 2 Thomas McGuire 2007-07-17 12:52:41 UTC
Thanks for the patch!

Can you please do the following:

Attach a backtrace of the crash, so I can see if there are any duplicate reports

Attach an offending mail (remove all personal info of course) so I can test it myself

Mail the patch to the KDE PIM mailinglist (kde-pim at kde dot org) for review. The core developers of KMail are not actively monitoring the bug tracker. I am also occasionally contributiong, but I don't yet have enough knowledge of KMail to review patches.
Comment 3 Michael Leupold 2009-04-05 11:00:34 UTC
I created such a test myself and it didn't crash on KMail 1.11.0. I assume it's fixed.
Comment 4 Martin Koller 2009-08-17 19:39:06 UTC
works with current svn trunk